com.r3corda.node.services.transactions / ValidatingNotaryService

# ValidatingNotaryService

`class ValidatingNotaryService : NotaryService`

A Notary service that validates the transaction chain of he submitted transaction before committing it

### Types

Type | `object Type : ServiceType`

### Constructors

<init> | `ValidatingNotaryService(smm: StateMachineManager, net: MessagingService, timestampChecker: TimestampChecker, uniquenessProvider: UniquenessProvider, networkMapCache: NetworkMapCache)` A Notary service that validates the transaction chain of he submitted transaction before committing it

### Properties

logger | `val logger: <ERROR CLASS>`
protocolFactory | `val protocolFactory: Factory` Implement a factory that specifies the transaction commit protocol for the notary service to use

### Inherited Properties

smm | `val smm: StateMachineManager`
timestampChecker | `val timestampChecker: TimestampChecker`
uniquenessProvider | `val uniquenessProvider: UniquenessProvider`